package processingproject;

import processing.core.PApplet;


public class Array2DFollowMouse extends PApplet {

	private static final long serialVersionUID = 1L;
	
	class Point {
		// implement Point class
	}
	
	class PrintPoint extends Point{
		public PrintPoint(int x, int y) {
			super(x, y);
		}

		public void draw(){
			super.draw();
			println(color);
		}
	}
	
	int spacer;
	float maxDistance;
	Point[] points;

	public void setup() {
		frameRate(60);
		size(640, 360, PApplet.OPENGL);
		spacer = 10;
		int numX = (int) width/spacer;
		int numY = (int) height/spacer;
		points = new Point[numX * numY];
		strokeWeight(6);
		for (int i = 0, y = 0; y < height; i++, y += spacer){
			for (int j = 0, x = 0; x < width; j++, x += spacer){
				int index = i*numX+j;
//				this would print the color value of the first point of every frame
//				if (index == 0) points[index] = new PrintPoint(x + spacer/2, y + spacer/2);
//				else points[index] = new Point(x + spacer/2, y + spacer/2);
				points[index] = new Point(x + spacer/2, y + spacer/2);
			}
		}
		maxDistance = dist(width/2, height/2, width, height); 
		smooth();
	}

	public void draw() {
		background(0);
		for (Point p: points) p.draw();
	  
	}
	
	public static void main(String _args[]) {
		PApplet.main(new String[] { processingproject.Array2DFollowMouse.class.getName() });
	}
}
