package processingproject;

import processing.core.PApplet;

public class Particles extends PApplet {

	private static final long serialVersionUID = 1L;
	
	class Particle {
		int x;
		int y;
		
		public Particle(){
			x = (int) (Math.random() * width);
			y = (int) (Math.random() * height);
		}
		
		public void update(){
			x = (x + round((float) (Math.random() * 2 * scale))) % width;
			y = (y + round((float) (Math.random() * 2 * scale))) % height;
//			x++;
//			y++;
		}
		
		public void display(){
			ellipse(x, y, 4, 4);
		}
	}
	
	Particle[] particles;
	int numParticles = 7;
	int scale = 1;
	
	public void setup(){
		frameRate(60);
		size(640*scale, 360*scale, OPENGL);
		particles = new Particle[7];
		for (int i = 0; i < numParticles; i++){
			particles[i] = new Particle();
		}
	}
	
	public void draw(){
		background(0);
		stroke(255);
		for (Particle p: particles){
			p.update();
			p.display();
		}
	}

	public static void main(String[] args) {
		PApplet.main(new String[] { processingproject.Particles.class.getName() });
	}

}
