package students;

public class MultiLanguageStudent {
	
	public final static int ENGLISH = 0;
	public final static int SPANISH = 1;
	public final static int FRENCH = 2;
	public final static int GERMAN = 3;
	public final static String hello_en = "Hello World!";
	public final static String hello_es = "Hola mundo!";
	public final static String hello_fr = "Salue le monde!";
	public final static String hello_de = "Hallo Welt!";
	public final static String[] hello = new String[]{
		"Hello World!",
		"Hola mundo!",
		"Salue le monde!",
		"Hallo Welt!"};
	
	public static void main(String[] args) {
		MultiLanguageStudent lukas = new MultiLanguageStudent(GERMAN);
		lukas.sayHello();
		String multilang = lukas.getHelloMultiLang2(GERMAN, ENGLISH, FRENCH);
		System.out.println(multilang);
	}
	
	private int language;
	
	public MultiLanguageStudent(int language){
		this.language = language;
	}
	
	public void sayHello(){
		System.out.println(this.getHello());
	}
	
	public String getHello(){
		switch(language){
		case ENGLISH: return hello_en;
		case SPANISH: return hello_es;
		case FRENCH: return hello_fr;
		case GERMAN: return hello_de;
		default: return hello_en;
		}
	}
	
	public String getHello2(){
		return hello[language];
	}
	
	public String getHelloMultiLang(int[] languages){
		String answer = "";
		for (int lang: languages){
			answer += hello[lang]+" ";
		}
		return answer;
	}
	
	public String getHelloMultiLang2(int ... languages){
		StringBuilder answer = new StringBuilder();
		for (int lang: languages){
			answer.append(hello[lang]+" ");
		}
		return answer.toString();
	}

}
